import 'package:image_picker/image_picker.dart';

class BotAssistantsReqModel {
  final String type;
  final XFile? image;
  final String name;
  final String description;
  final int botId;
  final String prompt;
  final List<XFile>? files;
  final String? youtubeLink;
  final List<String>? webLinks;
  final bool isPrivate;
  final bool? deleteImage;

  BotAssistantsReqModel(
      {required this.type,
      required this.name,
      required this.botId,
      required this.prompt,
      required this.description,
      this.image,
      this.files,
      this.youtubeLink,
      this.webLinks,
      this.deleteImage,
      this.isPrivate = true});

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['type'] = type;
    data['name'] = name;
    data['botId'] = botId;
    data['prompt'] = prompt;
    data['description'] = description;
    data['isPrivate'] = isPrivate;
    if (youtubeLink != null) {
      data['youtubeLink'] = youtubeLink;
    }
    if (deleteImage != null) {
      data['deleteImage'] = deleteImage;
    }
    if (webLinks != null) {
      data['webLinks'] = webLinks;
    }
    return data;
  }
}
